package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 目标责任书指标
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DeptResponsibilityTarget extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 目标责任书ID
     */
    private String responsibilityId;

    /**
     * 指标ID
     */
    private String indicatorId;

    /**
     * 量化目标
     */
    private BigDecimal quantizationTarget;

    /**
     * 量化目标完成值
     */
    private BigDecimal quantizationTargetActual;

    /**
     * 评价目标
     */
    private String evaluationTarget;

    /**
     * 评价目标完成值
     */
    private BigDecimal evaluationTargetActual;

    /**
     * 月度预警零界值
     */
    private BigDecimal monthThreshold;

    /**
     * 季度预警零界值
     */
    private BigDecimal seasonThreshold;

    /**
     * 年度预警零界值
     */
    private BigDecimal yearThreshold;

    /**
     * 方向
     */
    private BigDecimal direction;

    /**
     * 排序
     */
    private BigDecimal orderNum;

    /**
     * 备注
     */
    private String remark;

    /**
     * 一月目标
     */
    private BigDecimal target1;

    /**
     * 一月完成值
     */
    private BigDecimal actual1;

    /**
     * 二月目标
     */
    private BigDecimal target2;

    /**
     * 二月完值
     */
    private BigDecimal actual2;

    /**
     * 三月目标
     */
    private BigDecimal target3;

    /**
     * 三月完成值
     */
    private BigDecimal actual3;

    /**
     * 四月目标
     */
    private BigDecimal target4;

    /**
     * 四月完成值
     */
    private BigDecimal actual4;

    /**
     * 五月目标
     */
    private BigDecimal target5;

    /**
     * 五月完成值
     */
    private BigDecimal actual5;

    /**
     * 六月目标
     */
    private BigDecimal target6;

    /**
     * 六月完成值
     */
    private BigDecimal actual6;

    /**
     * 七月目标
     */
    private BigDecimal target7;

    /**
     * 七月完成值
     */
    private BigDecimal actual7;

    /**
     * 八月目标
     */
    private BigDecimal target8;

    /**
     * 八月完成值
     */
    private BigDecimal actual8;

    /**
     * 九月目标
     */
    private BigDecimal target9;

    /**
     * 九月完成值
     */
    private BigDecimal actual9;

    /**
     * 十月目标
     */
    private BigDecimal target10;

    /**
     * 十月完成值
     */
    private BigDecimal actual10;

    /**
     * 十一月目标
     */
    private BigDecimal target11;

    /**
     * 十一月完成值
     */
    private BigDecimal actual11;

    /**
     * 十二月目标
     */
    private BigDecimal target12;

    /**
     * 十二月完成值
     */
    private BigDecimal actual12;


}
